Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=fwpl.git;a=commitdiff;h=d85e32f7fc7fab6012f2324a6c938eff0b42b7ee

commit d85e32f7fc7fab6012f2324a6c938eff0b42b7ee
Author: James Buren <r...@frugalware.org>
Date:   Sat Sep 19 15:11:52 2009 -0500

clean-up.sh
* initial draft

diff --git a/tools/clean-up.sh b/tools/clean-up.sh
new file mode 100755
index 0000000..86a979c
--- /dev/null
+++ b/tools/clean-up.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ ! -e ".gitignore" ]; then
+       echo "Error: .gitignore not found"
+       exit 1
+fi
+
+for i in `cat .gitignore`; do
+       PATTERNS+="-name ${i} -or "
+done
+
+PATTERNS="${PATTERNS/% -or /}"
+
+exec find \( ${PATTERNS} \) -execdir rm -f '{}' \;
\ No newline at end of file
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to